import { Series } from "./Series";
import { IFastItemColumn$1 } from "igniteui-react-core";
import { IEnumerable, Type } from "igniteui-react-core";
import { NumericXAxis } from "./NumericXAxis";
import { NumericYAxis } from "./NumericYAxis";
import { IFastItemsSource } from "igniteui-react-core";
import { TriangulationStatusEventArgs } from "igniteui-react-core";
import { Axis } from "./Axis";
import { Rect } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { FastItemsSourceEventAction } from "igniteui-react-core";
import { AxisRange } from "./AxisRange";
/**
 * @hidden
 */
export declare abstract class ScatterTriangulationSeries extends Series {
    static $t: Type;
    oz(): void;
    xr: string;
    ko(a: any, b: string): any;
    ma(a: string): string;
    xz: string;
    private ww;
    protected get w2(): IFastItemColumn$1<number>;
    protected set w2(a: IFastItemColumn$1<number>);
    private wx;
    protected get w3(): IFastItemColumn$1<number>;
    protected set w3(a: IFastItemColumn$1<number>);
    wp: NumericXAxis;
    wq: NumericYAxis;
    private w5;
    rn(a: boolean): void;
    private x3;
    private x1;
    private ws;
    triangulationStatusChanged: (sender: any, args: TriangulationStatusEventArgs) => void;
    private x4;
    protected wy(a: IFastItemsSource, b: string): IFastItemColumn$1<number>;
    protected q4(a: any, b: string, c: any, d: any): void;
    w7(a: any): boolean;
    w6(a: any): boolean;
    hc(a: Rect, b: Rect, c: SeriesView): boolean;
    private x2;
    private w8;
    p5(): void;
    protected o8(a: FastItemsSourceEventAction, b: number, c: number, d: string): void;
    ax(a: Axis): AxisRange;
    protected sk(a: Rect, b: Rect): void;
    protected sj(a: Rect, b: Rect): void;
    trianglesSource: IEnumerable;
    w4: IFastItemsSource;
    xf: string;
    xh: string;
    xj: string;
    private wt;
    protected get wz(): IFastItemColumn$1<number>;
    protected set wz(a: IFastItemColumn$1<number>);
    private wu;
    protected get w0(): IFastItemColumn$1<number>;
    protected set w0(a: IFastItemColumn$1<number>);
    private wv;
    protected get w1(): IFastItemColumn$1<number>;
    protected set w1(a: IFastItemColumn$1<number>);
    protected get_fv(): boolean;
    protected get_fj(): boolean;
    xn: string;
    xv: string;
    xp: string;
    xx: string;
    getDataLegendSeriesContextAt(a: number, b: number): any;
    static $$p: string[];
}
